
from setuptools import setup
setup(**{'author': 'Rein van der Vegt',
 'author_email': 'reinier.vandervegt@kpn.com',
 'classifiers': ['Development Status :: 5 - Production/Stable',
                 'Environment :: Web Environment',
                 'Intended Audience :: Developers',
                 'Operating System :: OS Independent',
                 'Programming Language :: Python',
                 'Programming Language :: Python :: 2',
                 'Programming Language :: Python :: 2.7',
                 'Programming Language :: Python :: 3',
                 'Programming Language :: Python :: 3.5',
                 'Programming Language :: Python :: 3.6',
                 'Topic :: Internet :: WWW/HTTP'],
 'description': 'This package parses a cucumber JSON to a report friendly JSON',
 'include_package_data': True,
 'install_requires': ['wheel==0.30.0', 'requests==2.18.4'],
 'long_description': '=====================\n'
                     'Test report processor\n'
                     '=====================\n'
                     '.. image:: '
                     'https://secure.travis-ci.org/kpn-digital/test_report_processor.svg?branch=master\n'
                     '    :target:  '
                     'http://travis-ci.org/kpn-digital/test_report_processor?branch=master\n'
                     '\n'
                     '.. image:: '
                     'https://img.shields.io/codecov/c/github/kpn-digital/test_report_processor/master.svg\n'
                     '    :target: '
                     'http://codecov.io/github/kpn-digital/test_report_processor?branch=master\n'
                     '\n'
                     '.. image:: '
                     'https://img.shields.io/pypi/v/test_report_processor.svg\n'
                     '    :target: '
                     'https://pypi.python.org/pypi/test_report_processor\n'
                     '\n'
                     '.. image:: '
                     'https://readthedocs.org/projects/test_report_processor/badge/?version=latest\n'
                     '    :target: '
                     'http://test_report_processor.readthedocs.org/en/latest/?badge=latest\n'
                     '\n'
                     'This repository is a JSON parser for test reports. It '
                     'imports a test report generated by pytest (cucumber JSON '
                     'file). Then is parses the cucumber JSON to any desired '
                     'JSON report.\n'
                     '\n'
                     'When output to Paessler is selected, the new JSON is '
                     'send to a paessler sensor through a GET request.\n'
                     "The Paessler sensor's are displayed on a Paessler "
                     'dashboard for DevOps purposes.\n'
                     '\n'
                     'Requirements\n'
                     '------------\n'
                     '- json\n'
                     '- request\n'
                     '\n'
                     '\n'
                     'Usage\n'
                     '-----\n'
                     'When using the test report parser, the required input is '
                     'a test report JSON file. The output can be any of the '
                     'mentioned outputs.\n'
                     '\n'
                     '**Input**\n'
                     '- Cucumber test report (JSON file)\n'
                     '\n'
                     '**Output**\n'
                     '- Paessler JSON\n'
                     '\n'
                     '\n'
                     'Importing the package\n'
                     '---------------------\n'
                     '\n'
                     'Import the package by including the following code::\n'
                     '    ``from test_report_processor.test_report_processor '
                     'import ReportParser``\n'
                     '\n'
                     '\n'
                     'Starting a new parser\n'
                     '---------------------\n'
                     'Start the parser by creating a new ReportParser class:\n'
                     '\n'
                     '    ``report_parser = '
                     'ReportParser("/path/cucumber.json", "paessler", '
                     '"duration")``\n'
                     '\n'
                     '\n'
                     '\n'
                     'Input parameters for ReportParser class\n'
                     '---------------------------------------\n'
                     '\n'
                     'Creating a new ReportParser class requires 3 '
                     'parameters:\n'
                     '\n'
                     '1. Location of the "cucumber.json" file (string)\n'
                     '2. Desired parser output (string), options:\n'
                     '    - "paessler" for paessler dashboard\n'
                     '3. Sensor type (string), options:\n'
                     '    - "duration" - test durations of scenario\'s and '
                     'steps in milliseconds\n'
                     '    - "status" - test status of scenario\'s and steps in '
                     '"pass" or "fail"\n'
                     '\n'
                     '\n'
                     'Debugging\n'
                     '---------\n'
                     'After creating a ReportParser class, you can view the '
                     'parsed json with this variable:\n'
                     '\n'
                     '    ``report_parser.paessler_json``\n'
                     '\n'
                     '\n'
                     'A URL will also be generated which points to the '
                     'Paessler sensor id where the result will be displayed. '
                     'View the Paessler URL with this variable:\n'
                     '\n'
                     '    ``report_parser.paessler_url``\n',
 'name': 'test-report-processor',
 'packages': ['test_report_processor'],
 'tests_require': ['tox'],
 'url': 'https://git.kpn.org/projects/DE/repos/test-report-processor',
 'version': '0.10.9',
 'zip_safe': False})
